Desktop application abstract controller.

This file includes `import`'s for desktop components/directives used by the HTML page and the controller to provide the configuration.

### Hierarchy

- AbstractAPIController
  - AbstractDesktopController

## Index

### Constructors

- constructor

### Properties

- contextdataActive
- dataPanelActive
- drawFeatureActive
- drawProfilePanelActive
- editFeatureActivate
- editFeatureActive
- editFeatureVectorLayer
- filterSelectorActive
- gmfDataSourceBeingFiltered
- gmfLayerBeingSwipe
- googleStreetViewActive
- importDataSourceActive
- loginActive
- loginInfoMessage
- mapillaryStreetViewActive
- modalShareShown
- ngeoToolActivateMgr
- postLoading
- printActive
- printPanelActive
- profileLine
- queryAutoClear
- queryGrid
- queryGridActive
- queryPanelActive
- routingPanelActive
- streetViewStyle
- toolsActive
- toolsPanelWidth

## Constructors

### constructor

- new AbstractDesktopController($scope: IScope, $injector: IInjectorService): AbstractDesktopController

- Overrides AbstractAPIController.constructor

  - Defined in src/controllers/AbstractDesktopController.js:71
  nginject

  #### Parameters

  - ##### $scope: IScope

    Scope.

  - ##### $injector: IInjectorService

    Main injector.

  #### Returns AbstractDesktopController

## Properties

### contextdataActive

contextdataActive: boolean

### dataPanelActive

dataPanelActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:89

### drawFeatureActive

drawFeatureActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:157

### drawProfilePanelActive

drawProfilePanelActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:162

### editFeatureActivate

editFeatureActivate: boolean

- Defined in src/controllers/AbstractDesktopController.js:177

### editFeatureActive

editFeatureActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:109

### editFeatureVectorLayer

editFeatureVectorLayer: VectorLayer<VectorSource<Geometry>>

- Defined in src/controllers/AbstractDesktopController.js:274

### filterSelectorActive

filterSelectorActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:130

export

### gmfDataSourceBeingFiltered

gmfDataSourceBeingFiltered: any

- Defined in src/controllers/AbstractDesktopController.js:294

### gmfLayerBeingSwipe

gmfLayerBeingSwipe: any

- Defined in src/controllers/AbstractDesktopController.js:301

The gmf layer being swipe.

### googleStreetViewActive

googleStreetViewActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:119

### importDataSourceActive

importDataSourceActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:243

### loginActive

loginActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:94

### loginInfoMessage

loginInfoMessage: string

- Defined in src/controllers/AbstractDesktopController.js:191

### mapillaryStreetViewActive

mapillaryStreetViewActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:124

### modalShareShown

modalShareShown: boolean

- Defined in src/controllers/AbstractDesktopController.js:104

### ngeoToolActivateMgr

ngeoToolActivateMgr: ToolActivateMgr

- Defined in src/controllers/AbstractDesktopController.js:289

The ngeo ToolActivate manager service.

### postLoading

postLoading: boolean

- Defined in src/controllers/AbstractDesktopController.js:338

### printActive

printActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:152

### printPanelActive

printPanelActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:147

### profileLine

profileLine: LineString

- Defined in src/controllers/AbstractDesktopController.js:330

### queryAutoClear

queryAutoClear: boolean

- Defined in src/controllers/AbstractDesktopController.js:137

Set the clearing of the ngeoQuery after the deactivation of the query

### queryGrid

queryGrid: boolean

- Defined in src/controllers/AbstractDesktopController.js:77

### queryGridActive

queryGridActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:84

To toggle the activation query grid in the HTML, shouldn't be touch (it's managed by angular).

### queryPanelActive

queryPanelActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:114

### routingPanelActive

routingPanelActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:167

### streetViewStyle

streetViewStyle: Style

- Defined in src/controllers/AbstractDesktopController.js:230

### toolsActive

toolsActive: boolean

- Defined in src/controllers/AbstractDesktopController.js:99

### toolsPanelWidth

toolsPanelWidth: number

- Defined in src/controllers/AbstractDesktopController.js:218

Generated using TypeDoc